image: python:latest
pages:
  stage: deploy
  only:
    - master
  script:
    - pip install mkdocs-material
    - python3 scripts/generate_device_markdown.py
    - mkdocs build --site-dir public
  artifacts:
    paths:
      - public
